Main Page Widgets Namespaces Book

# iochannel.h File Reference

## Namespaces

namespace | Glib

## Classes

class | Glib::IOChannelError
| Exception class for IOChannel errors. More...
class | Glib::IOChannel
| IOChannel aims to provide portable I/O support for files, pipes and sockets, and to integrate them with the GLib main event loop. More...

## Enumerations

enum | SeekType { SEEK_TYPE_CUR, SEEK_TYPE_SET, SEEK_TYPE_END }
enum | IOStatus { IO_STATUS_ERROR, IO_STATUS_NORMAL, IO_STATUS_EOF, IO_STATUS_AGAIN }
enum | IOFlags { IO_FLAG_APPEND = 1 << 0, IO_FLAG_NONBLOCK = 1 << 1, IO_FLAG_IS_READABLE = 1 << 2, IO_FLAG_IS_WRITEABLE = 1 << 3, IO_FLAG_IS_SEEKABLE = 1 << 4, IO_FLAG_MASK = 0x1F, IO_FLAG_GET_MASK = 0x1F, IO_FLAG_SET_MASK = 0x03 }

## Functions

IOFlags | operator| (IOFlags lhs, IOFlags rhs)
IOFlags | operator& (IOFlags lhs, IOFlags rhs)
IOFlags | operator^ (IOFlags lhs, IOFlags rhs)
IOFlags | operator~ (IOFlags flags)
IOFlags& | operator|= (IOFlags& lhs, IOFlags rhs)
IOFlags& | operator&= (IOFlags& lhs, IOFlags rhs)
IOFlags& | operator^= (IOFlags& lhs, IOFlags rhs)
Glib::RefPtr<IOChannel> | wrap (GIOChannel* gobject, bool take_copy=false)

## Function Documentation

Glib::RefPtr<IOChannel> wrap | ( | GIOChannel* | gobject,
|  | bool | take_copy = `false`
| ) |